%define oname   sass

%global gem_name %{?oname}%{!?oname:%(echo %{name}|cut -d\- -f2-)}

Name:       ruby-%{oname}
Version:    3.4.22
Release:    %mkrel 1
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# to run the tests
BuildRequires: rubygem-minitest
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
#package        doc
#Summary:    Documentation for %{name}
#Group:      Development/Ruby
#Requires:   %{name} = %{version}-%{release}

#description    doc
#Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
if [ ! -f %{gem_name}.gemspec ]; then
        %{_bindir}/gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
fi
sed -i	-e 's/`git ls-files`/`find -type f`/' -e 's/`git ls-files -- \\\(.*\\\)`/`find \\\1 -type f`/' -e 's/`git ls-files \\\(.*\\\)`/`find \\\1 -type f`/' -e 's/ s.version = .*/ s.version = "%{version}"/' %{gem_name}.gemspec

%build
if [ ! -f %{gem_name}.gemspec ]; then
	%{_bindir}/gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
fi
gem build %{gem_name}.gemspec

%install
gem install %{gem_name}-%{version}.gem --local --env-shebang --rdoc --ri --force --ignore-dependencies --install-dir %{buildroot}%{gem_dir} --bindir %{buildroot}%{_bindir}

rm -rf %{buildroot}%{gem_instdir}/.yardoc
cp -a VERSION* %{buildroot}%{gem_instdir}/

# FIXME: those files contain the buildroot inside them, remove them for now
# ruby gem installation should be fixed so this doesn't happen
rm -f %{buildroot}%{gem_docdir}/rdoc/js/{searcher,navigation,search_index}.js.gz

%check
pushd %{buildroot}%{gem_instdir}
ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%{_bindir}/sass
%{_bindir}/sass-convert
%{_bindir}/scss
%{gem_instdir}
%{gem_spec}
%{gem_dir}/cache

#files doc
#doc %{gem_docdir}


%changelog
* Mon Dec 04 2017 Zen Subz <techars21 at gmail dot com> - 3.4.22-1pclos2017
- Source imported from Mageia
- Build for PCLinuxOS
